Skip to content

Get card balance

Request

🔒 Private label — contact sales. Requires a private-label entitlement on your API client.

Get card balance

Security
oauth2ClientCredentials(Required scopes: cards:read)
Path
idstringrequired
Headers
org_wallet_refstring

Organization wallet reference, defaults to "1" if not provided

business_idstringrequired

Business identifier for the request

curl -i -X GET \
  'https://developer.boyahq.com/_mock/v2/openapi/cards/{id}/balance' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'business_id: string' \
  -H 'org_wallet_ref: string'

Responses

Card balance details

Bodyapplication/json
cardIdstring

Card ID

availableBalancenumber

Available balance

currentBalancenumber

Current balance

pendingAmountnumber

Pending transactions amount

currencystring

Currency code

lastUpdatedstring

Last balance update timestamp

Response
{ "cardId": "string", "availableBalance": 0, "currentBalance": 0, "pendingAmount": 0, "currency": "string", "lastUpdated": "string" }